#!/bin/sh

for x in /dev/md[0-9]* ; do
        mdadm --stop $x
done
for part in $(list-devices partition); do
        wipefs -a -f ${part}
done
for x in /dev/md[0-9]* ; do
        mdadm --stop $x
done
for disk in $(list-devices disk); do
        wipefs -a -f ${disk}
        mdadm --zero-superblock ${disk}
        dd if=/dev/zero of=${disk} bs=512 count=32
        blkdiscard --secure ${disk}
done

set $(list-devices disk)
let numb=$#/2
DISKA=$1
DISKB=$2

debconf-set partman-basicfilesystems/choose_label gpt
debconf-set partman-partitioning/choose_label gpt
debconf-set partman-basicfilesystems/default_label gpt
debconf-set partman-partitioning/default_label gpt
debconf-set partman-partitioning/choose_label gpt
debconf-set partman-auto/disk "$DISKA"
debconf-set partman-auto/method "regular"

bootsize=525
efisize=525
swapsize=2098

if [ -d /sys/firmware/efi ]; then
  debconf-set partman-auto/expert_recipe "boot-root :: \
    ${efisize} 200 ${efisize} free $iflabel{ gpt } $reusemethod{ } label{ EFI } method{ efi } format{ } . \
    ${bootsize} 50 ${bootsize} ext4 $primary{ } $bootable{ } method{ format } format{ } use_filesystem{ } filesystem{ ext4 } label{ BOOT } mountpoint{ /boot } . \
    132 500 ${swapsize} linux-swap method{ swap } format{ } label{ SWAP } . \
    4195 10000 -1 ext4 method{ format } format{ } use_filesystem{ } filesystem{ ext4 } label{ ROOT } mountpoint{ / } . "
else
  debconf-set partman-auto/expert_recipe "boot-root :: \
    2 1 2 free $iflabel{ gpt } method{ biosgrub } . \
    ${bootsize} 50 ${bootsize} ext4 $primary{ } $bootable{ } method{ format } format{ } use_filesystem{ } filesystem{ ext4 } label{ BOOT } mountpoint{ /boot } . \
    132 500 ${swapsize} linux-swap method{ swap } format{ } label{ SWAP } . \
    4195 10000 -1 ext4 method{ format } format{ } use_filesystem{ } filesystem{ ext4 } label{ ROOT } mountpoint{ / } . "
fi

debconf-set grub-installer/bootdev "${DISKA}"
echo "${DISKA}" >> /tmp/grub_devices
